Bug 178895 - audio/openal-soft broken after update
Summary: audio/openal-soft broken after update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 07:40 UTC by fiziologus
Modified: 2013-06-02 19:10 UTC (History)
0 users

See Also:


Attachments
file.txt (11.03 KB, text/plain)
2013-05-24 07:40 UTC, fiziologus
no flags Details
patch-Alc-ALu.c (1.25 KB, text/x-csrc; charset=US-ASCII)
2013-05-31 12:54 UTC, fiziologus
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2013-05-24 07:40:00 UTC
[audio/openal-soft] 15_1

Broken audio output for OSS (only static sound). testet mplayer, warzone2100
with original patch (from PR178343) openal is work.

in attach: working conf file for openal

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 07:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mva

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 r4721@tormail.org 2013-05-25 23:47:31 UTC
with openal-soft-1.15.1_1, the audio volume is extremely loud compared to
before. removing patch-Alc-ALu.c changes back to earlier volume. (no audio
artifacts were noted before or after patch)
Comment 3 Kevin Zheng 2013-05-27 02:40:42 UTC
Hi there,

I can confirm that this is an issue for me as well. After installing the
new openal-soft, I can only hear static from the OSS output. In my case,
I tested FlightGear, AssaultCube, and SuperTuxKart.

The same problem was reproduced with two different machines with
different sound cards, below are the contents of /dev/sndstat:

FreeBSD Audio Driver (newpcm: 32bit 2009061500/i386)
Installed devices:
pcm0: <Intel ICH5 (82801EB)> (play/rec) default

FreeBSD Audio Driver (newpcm: 32bit 2009061500/i386)
Installed devices:
pcm0: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
pcm1: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
pcm2: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
pcm3: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
pcm4: <Conexant CX20585 (Right Analog)> (play/rec)
pcm5: <Conexant CX20585 (Internal Analog)> (play/rec) default

In my case, rolling back to the previous version fixed all of the
applications using openal. I can only confirm that this issue is there;
I really don't know why. For the time being, is it advisable to roll
back the latest changes?

Thanks,
Kevin Zheng
Comment 4 fiziologus 2013-05-27 19:15:40 UTC
this send to maintainer after PR.

> PR ports/178895
>
> patch from upstream and ports is different (aluF2I instead aluF2I25 in
aluF2S and aluF2B functions). upsteam patch is work.PR ports/178895


2013/5/27 Kevin Zheng <kevinz5000@gmail.com>

> Hi there,
>
> I can confirm that this is an issue for me as well. After installing the
> new openal-soft, I can only hear static from the OSS output. In my case,
> I tested FlightGear, AssaultCube, and SuperTuxKart.
>
> The same problem was reproduced with two different machines with
> different sound cards, below are the contents of /dev/sndstat:
>
> FreeBSD Audio Driver (newpcm: 32bit 2009061500/i386)
> Installed devices:
> pcm0: <Intel ICH5 (82801EB)> (play/rec) default
>
> FreeBSD Audio Driver (newpcm: 32bit 2009061500/i386)
> Installed devices:
> pcm0: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
> pcm1: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
> pcm2: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
> pcm3: <NVIDIA GT21x (HDMI/DP 8ch)> (play)
> pcm4: <Conexant CX20585 (Right Analog)> (play/rec)
> pcm5: <Conexant CX20585 (Internal Analog)> (play/rec) default
>
> In my case, rolling back to the previous version fixed all of the
> applications using openal. I can only confirm that this issue is there;
> I really don't know why. For the time being, is it advisable to roll
> back the latest changes?
>
> Thanks,
> Kevin Zheng
>



-- 
sorry for bad english.
Comment 5 r4721@tormail.org 2013-06-02 13:21:22 UTC
patch #2 fixes the excessive audio volume issue here.
Comment 6 dfilter service freebsd_committer 2013-06-02 19:07:39 UTC
Author: mva
Date: Sun Jun  2 18:07:32 2013
New Revision: 319704
URL: http://svnweb.freebsd.org/changeset/ports/319704

Log:
  - Fix broken patch from ports/178343, which might lead to broken OSS output
  
  PR:		ports/178895
  Submitted by:	Green Dog <fiziologus@gmail.com>

Modified:
  head/audio/openal-soft/Makefile
  head/audio/openal-soft/files/patch-Alc-ALu.c

Modified: head/audio/openal-soft/Makefile
==============================================================================
--- head/audio/openal-soft/Makefile	Sun Jun  2 18:00:04 2013	(r319703)
+++ head/audio/openal-soft/Makefile	Sun Jun  2 18:07:32 2013	(r319704)
@@ -2,7 +2,7 @@
 
 PORTNAME=	openal-soft
 PORTVERSION=	1.15.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://kcat.strangesoft.net/openal-releases/
 

Modified: head/audio/openal-soft/files/patch-Alc-ALu.c
==============================================================================
--- head/audio/openal-soft/files/patch-Alc-ALu.c	Sun Jun  2 18:00:04 2013	(r319703)
+++ head/audio/openal-soft/files/patch-Alc-ALu.c	Sun Jun  2 18:07:32 2013	(r319704)
@@ -26,12 +26,12 @@
  { return aluF2I(val)+2147483648u; }
  static __inline ALshort aluF2S(ALfloat val)
 -{ return aluF2I(val)>>16; }
-+{ return aluF2I(val)>>9; }
++{ return aluF2I25(val)>>9; }
  static __inline ALushort aluF2US(ALfloat val)
  { return aluF2S(val)+32768; }
  static __inline ALbyte aluF2B(ALfloat val)
 -{ return aluF2I(val)>>24; }
-+{ return aluF2I(val)>>17; }
++{ return aluF2I25(val)>>17; }
  static __inline ALubyte aluF2UB(ALfloat val)
  { return aluF2B(val)+128; }
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Marcus von Appen freebsd_committer freebsd_triage 2013-06-02 19:10:28 UTC
State Changed
From-To: open->closed

The correction of the previous patch (ports/178343) has been committed. 
Please let me know, if you still run into any audio issues. Thanks for 
your reports and efforts!